import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增【通知分类】
    appsystemclassify(data) {
        return request({
            url: '/system/classify',
            method: 'post',
            data
        })
    },
    //修改【通知分类】
    editsystemclassify(data) {
        return request({
            url: '/system/classify/edit',
            method: 'post',
            data
        })
    },
    //查询【通知分类】列表
    inquiresystemclassifylist(data) {
        return request({
            url: '/system/classify/list',
            method: 'get',
            params: data
        })
    },
    //获取【通知分类】详细信息
    obtainsystemclassify(data) {
        return request({
            url: `/system/classify/` + data,
            method: 'get',
        })
    },
    //查询通知绑定系统用户列表
    inquireinformsys_userlist(data) {
        return request({
            url: '/inform/sys_user/list',
            method: 'get',
            params: data
        })
    },
    //获取通知绑定教务用户未读消息数量
    inquireinformsys_userinformUnReadSum(data) {
        return request({
            url: '/inform/sys_user/informUnReadSum',
            method: 'get',
            params: data
        })
    },
    //批量修改通知绑定系统用户状态
    editupdateReadStatusBatch(data) {
        return request({
            url: '/inform/sys_user/updateReadStatusBatch',
            method: 'post',
            data
        })
    },
    //获取通知绑定系统用户详细信息
    informsys_user(data) {
        return request({
            url: `/inform/sys_user/` + data,
            method: 'get',
        })
    },
}